- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
ErasableDigraphComponent< BAS > Class Template Reference

## Detailed Description

### template<typename BAS = BaseDigraphComponent>
class lemon::concepts::ErasableDigraphComponent< BAS >

This class describes the interface of erasable directed graphs. It extends BaseDigraphComponent with functions for removing nodes and arcs from the digraph. This concept requires AlterableDigraphComponent.

`#include <lemon/concepts/graph_components.h>`

Inherits BAS.

## Public Member Functions
void | erase (const Node &)
| Erase a node from the digraph. More...
void | erase (const Arc &)
| Erase an arc from the digraph. More...

## Member Function Documentation

void erase | ( | const Node & |  | ) |
| inline

This function erases the given node from the digraph and all arcs connected to the node.

void erase | ( | const Arc & |  | ) |
| inline

This function erases the given arc from the digraph.